## charliecloud 0.9.10

=== Makefile ===
SHELL=/bin/sh

# Add some good stuff to CFLAGS.
export CFLAGS += -std=c11 -Wall -g

.PHONY: all
all: VERSION.full bin/version.h bin/version.sh
	cd bin && $(MAKE) all
#       only descend into test/ if the right Python is available
	if (command -v "$$(head -1 test/make-auto | sed -E 's/^.+ //')"); then \
	    cd test && $(MAKE) all; \
	fi
	cd examples/syscalls && $(MAKE) all

.PHONY: clean
clean:
	cd bin && $(MAKE) clean
	cd doc-src && $(MAKE) clean
	cd test && $(MAKE) clean
	cd examples/syscalls && $(MAKE) clean

# VERSION.full contains the version string reported by executables; see FAQ.
ifeq ($(shell test -d .git && fgrep -q \~ VERSION && echo true),true)
.PHONY: VERSION.full  # depends on git metadata, not a simple file
VERSION.full: VERSION
	(git --version > /dev/null 2>&1) || \
          (echo "This is a Git working directory but no git found." && false)
	printf '%s+%s%s%s\n' \
	       $$(cat $<) \
	       $$(  git rev-parse --abbrev-ref HEAD \
	          | sed 's/[^A-Za-z0-9]//g' \
	          | sed 's/$$/./g' \
	          | sed 's/master.//g') \
	       $$(git rev-parse --short HEAD) \
	       $$(git diff-index --quiet HEAD || echo '.dirty') \
	       > $@
else
VERSION.full: VERSION
	cp $< $@
endif
bin/version.h: VERSION.full
	echo "#define VERSION \"$$(cat $<)\"" > $@
bin/version.sh: VERSION.full
	echo "version () { echo 1>&2 '$$(cat $<)'; }" > $@

# These targets provide tarballs of HEAD (not the Git working directory) that
# are self-contained, including the source code as well as the man pages
# (both) and Bats (export-bats). To use them in an unclean working directory,
# set $CH_UNCLEAN_EXPORT_OK to non-empty.
#
# You must "cd doc-src && make" before they will work. The targets depend on
# the man pages but don't know how to build them.
#
# They are phony because I haven't figured out their real dependencies.
.PHONY: main.tar
main.tar: VERSION.full man/charliecloud.1 doc/index.html
	git diff-index --quiet HEAD || [ -n "$$CH_MAKE_EXPORT_UNCLEAN_OK" ]
	git archive HEAD --prefix=charliecloud-$$(cat VERSION.full)/ \
                         -o main.tar
	tar --xform=s,^,charliecloud-$$(cat VERSION.full)/, \
	    --exclude='.*' \
	    -rf main.tar doc man/*.1 VERSION.full

.PHONY: export
export: main.tar
	gzip -9 main.tar
	mv main.tar.gz charliecloud-$$(cat VERSION.full).tar.gz
	ls -lh charliecloud-$$(cat VERSION.full).tar.gz

.PHONY: export-bats
export-bats: main.tar
	test -d .git -a -f test/bats/.git  # need recursive Git checkout
	cd test/bats && \
          git archive HEAD \
            --prefix=charliecloud-$$(cat ../../VERSION.full)/test/bats/ \
            -o ../../bats.tar
	tar Af main.tar bats.tar
	gzip -9 main.tar
	mv main.tar.gz charliecloud-$$(cat VERSION.full).tar.gz
	rm bats.tar
	ls -lh charliecloud-$$(cat VERSION.full).tar.gz

# PREFIX is the prefix expected at runtime (usually /usr or /usr/local for
#  system-wide installations).
#  More: https://www.gnu.org/prep/standards/html_node/Directory-Variables.html
#
# DESTDIR is the installation directory using during make install, which
#  usually coincides for manual installation, but is chosen to be a temporary
#  directory in packaging environments. PREFIX needs to be appended.
#  More: https://www.gnu.org/prep/standards/html_node/DESTDIR.html
#
# Reasoning here: Users performing manual install *have* to specify PREFIX;
# default is to use that also for DESTDIR. If DESTDIR is provided in addition,
# we use that for installation.
#
# PREFIX can be relative unless DESTDIR is set. Absolute paths are not
# canonicalized.
ifneq ($(PREFIX),)
ifneq ($(shell echo "$(PREFIX)" | cut -c1),/)
  ifdef DESTDIR
    $(error PREFIX must be absolute if DESTDIR is set)
  endif
  override PREFIX := $(abspath $(PREFIX))
  $(warning Relative PREFIX converted to $(PREFIX))
endif
endif
INSTALL_PREFIX := $(if $(DESTDIR),$(DESTDIR)/$(PREFIX),$(PREFIX))
BIN := $(INSTALL_PREFIX)/bin
DOC := $(INSTALL_PREFIX)/share/doc/charliecloud
# LIBEXEC_DIR is modeled after FHS 3.0 and
# https://www.gnu.org/prep/standards/html_node/Directory-Variables.html. It
# contains any executable helpers that are not needed in PATH. Default is
# libexec/charliecloud which will be preprended with the PREFIX.
LIBEXEC_DIR ?= libexec/charliecloud
LIBEXEC_INST := $(INSTALL_PREFIX)/$(LIBEXEC_DIR)
LIBEXEC_RUN := $(PREFIX)/$(LIBEXEC_DIR)
TEST := $(LIBEXEC_INST)/test
.PHONY: install
install: all
	@test -n "$(PREFIX)" || \
          (echo "No PREFIX specified. Lasciando ogni speranza." && false)
	@echo Installing in $(INSTALL_PREFIX)
#       binaries
	install -d $(BIN)
	install -pm 755 -t $(BIN) $$(find bin -type f -executable)
#       Modify scripts to relate to new libexec location.
	for scriptfile in $$(find bin -type f -executable -printf "%f\n"); do \
	    sed -i "s#^libexec=.*#libexec=$(LIBEXEC_RUN)#" $(BIN)/$${scriptfile}; \
	done
#       executable helpers
	install -d $(LIBEXEC_INST)
	install -pm 644 -t $(LIBEXEC_INST) bin/base.sh bin/version.sh
	sed -i "s#^libexec=.*#libexec=$(LIBEXEC_RUN)#" $(LIBEXEC_INST)/base.sh
#       man pages if they were built
	if [ -f man/charliecloud.1 ]; then \
	    install -d $(INSTALL_PREFIX)/share/man/man1; \
	    install -pm 644 -t $(INSTALL_PREFIX)/share/man/man1 man/*.1; \
	fi
#       license and readme
	install -d $(DOC)
	install -pm 644 -t $(DOC) LICENSE README.rst
#	html files if they were built
	if [ -f doc/index.html ]; then \
		cp -r doc $(DOC)/html; \
		rm -f $(DOC)/html/.nojekyll; \
		for i in $$(find $(DOC)/html -type d); do \
			chmod 755 $$i; \
		done; \
		for i in $$(find $(DOC)/html -type f); do \
			chmod 644 $$i; \
		done; \
	fi
#       examples
	for i in examples/syscalls \
	         examples/serial/* examples/mpi/* examples/other/*; do \
	    install -d $(LIBEXEC_INST)/$$i; \
	    install -pm 644 -t $(LIBEXEC_INST)/$$i $$i/*; \
	done
	chmod 755 $(LIBEXEC_INST)/examples/serial/hello/hello.sh \
	          $(LIBEXEC_INST)/examples/syscalls/pivot_root \
	          $(LIBEXEC_INST)/examples/syscalls/userns \
	          $(LIBEXEC_INST)/examples/*/*/*.sh
	find $(LIBEXEC_INST)/examples -name Build -exec chmod 755 {} \;
#       tests
	install -d $(TEST) $(TEST)/run
	install -pm 644 -t $(TEST) test/*.bats test/common.bash test/Makefile
	install -pm 644 -t $(TEST)/run test/run/*.bats
	install -pm 755 -t $(TEST) test/Build.*
	install -pm 644 -t $(TEST) test/Dockerfile.* test/Docker_Pull.*
	install -pm 644 -t $(TEST) test/*.patch
	install -pm 755 -t $(TEST) test/make-auto test/make-perms-test
	install -d $(TEST)/chtest
	install -pm 644 -t $(TEST)/chtest test/chtest/*
	chmod 755 $(TEST)/chtest/Build \
	          $(TEST)/chtest/*.py \
	          $(TEST)/chtest/printns
	ln -sf ../../../bin $(TEST)/bin
#       shared library tests
	install -d $(TEST)/sotest $(TEST)/sotest/bin $(TEST)/sotest/lib
	install -pm 755 -t $(TEST)/sotest test/sotest/libsotest.so.1.0 \
	                                  test/sotest/sotest
	install -pm 644 -t $(TEST)/sotest test/sotest/files_inferrable.txt \
	                                  test/sotest/sotest.c
	ln -sf ./libsotest.so.1.0 $(TEST)/sotest/libsotest.so
	ln -sf ./libsotest.so.1.0 $(TEST)/sotest/libsotest.so.1
	install -pm 755 -t $(TEST)/sotest/bin test/sotest/bin/sotest
	install -pm 755 -t $(TEST)/sotest/lib test/sotest/lib/libsotest.so.1.0
#       Bats (if embedded)
	if [ -d test/bats/bin ]; then \
	    install -d $(TEST)/bats && \
	    install -pm 644 -t $(TEST)/bats test/bats/CONDUCT.md \
	                                    test/bats/LICENSE \
	                                    test/bats/README.md && \
	    install -d $(TEST)/bats/libexec && \
	    install -pm 755 -t $(TEST)/bats/libexec test/bats/libexec/* && \
	    install -d $(TEST)/bats/bin && \
	    ln -sf ../libexec/bats $(TEST)/bats/bin/bats && \
	    ln -sf bats/bin/bats $(TEST)/bats; \
	fi

.PHONY: deb
deb:
	ln -s packaging/debian
	debuild -d -i -us -uc
	rm -f debian

=== bin/Makefile ===
bin := ch-run ch-ssh
src := $(wildcard *.c)
obj := $(src:.c=.o)

CFLAGS += -pthread
LDLIBS += -pthread -lrt

.PHONY: all
all: $(bin)

$(obj): charliecloud.h version.h Makefile
$(bin): charliecloud.o

.PHONY: clean
clean:
	rm -Rf *.o $(bin)

=== test/Makefile ===
export LC_ALL := C
images_ch := chtest/Build \
             $(sort $(wildcard ./Build.*)) \
             $(sort $(wildcard ./Dockerfile.*)) \
             $(sort $(wildcard ./Docker_Pull.*))
images_eg := $(sort $(wildcard ../examples/*/*/Build)) \
             $(sort $(wildcard ../examples/*/*/Build.*)) \
             $(sort $(wildcard ../examples/*/*/Dockerfile)) \
             $(sort $(wildcard ../examples/*/*/Dockerfile.*)) \
             $(sort $(wildcard ../examples/*/*/Docker_Pull)) \
             $(sort $(wildcard ../examples/*/*/Docker_Pull.*))
images := $(images_ch) $(images_eg)

# Favor embedded Bats, if installed, over system Bats.
export PATH := $(CURDIR)/bats/bin:$(PATH)

# Used by "make all" at top level to build these files for "make install".
.PHONY: all
all: build_auto.bats run_auto.bats \
     sotest/bin/sotest sotest/lib/libsotest.so.1.0

.PHONY: test
test: test-build test-run
ifneq ($(CH_TEST_SCOPE),quick)
test: test-test
endif

.PHONY: test-build
test-build: build_auto.bats
	bats build.bats build_auto.bats build_post.bats

# Note: This will will not find ch-run correctly if $CWD is not the test
# directory, which I believe is assumed elsewhere in the test suite as well.
.PHONY: test-run
test-run: run_auto.bats
	bats run_first.bats run_auto.bats run/*.bats
	set -e; \
        if [ "$$CH_TEST_SCOPE" != "quick" ]; then \
	for GUEST_USER in $$(id -un) root nobody; do \
	    for GUEST_GROUP in $$(id -gn) root $$(id -gn nobody); do \
	        export GUEST_USER; \
	        export GUEST_GROUP; \
	        echo testing as: $$GUEST_USER $$GUEST_GROUP; \
	        bats run/ch-run_uidgid.bats; \
	    done; \
	done; fi

# FIXME: This could be sped up by skipping bats if the image is out of scope.
.PHONY: test-test
test-test: $(images_eg)
	set -e; \
	for image in $(images_eg); do \
	    export CH_TEST_TAG=$$(./make-auto tag $$image); \
	    bats $$(dirname $$image)/test.bats; \
	done

.PHONY: clean
clean:
	rm -f *_auto.bats
	rm -f sotest/sotest sotest/libsotest.so*
	rm -f sotest/bin/sotest sotest/lib/libsotest.so*

.PHONY: where-bats
where-bats:
	which bats
	bats --version

build_auto.bats: $(images)
	./make-auto build $^ > $@

run_auto.bats: $(images)
	./make-auto run $^ > $@

sotest/bin/sotest: sotest/sotest
	cp -a $^ $@
sotest/lib/libsotest.so.1.0: sotest/libsotest.so.1.0
	cp -a $^ $@

# We hardcode gcc here because some other compilers (hello, Intel) link the
# resulting binaries with extra shared libraries that are then not copied into
# the container. (Issue #227.)

sotest/sotest: sotest/sotest.c sotest/libsotest.so.1.0
	gcc -o $@ -L./sotest -lsotest $^
sotest/libsotest.so.1.0: sotest/libsotest.c
	gcc -o $@ -shared -fPIC -Wl,-soname,libsotest.so.1 -lc $^
	ln -f -s libsotest.so.1.0 sotest/libsotest.so
	ln -f -s libsotest.so.1.0 sotest/libsotest.so.1

=== debian/changelog ===
charliecloud (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * Update copyright years
  * Bump debhelper compat level to 12 and switch to debhelper-compat
  * Adjust debhelper config files to upstream's new directory structure
  * Switch to Standards-Version 4.4.0 (no changes required)
  * Add d/salsa-ci.yml file
  * Switch to python3 (closes: #936290)
    - Add patch to switch to python3
    - d/control: Switch to python3 build dependencies

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 08 Sep 2019 20:23:14 +0200

=== debian/control ===
Source: charliecloud
Section: admin
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <fossdev@posteo.de>
Build-Depends: debhelper-compat (= 12),
               po-debconf,
               python3,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               rsync
Standards-Version: 4.4.0
Homepage: https://hpc.github.io/charliecloud/
Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master

Package: charliecloud
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: charliecloud-doc,
          docker.io,
          pv
Description: user-defined software stacks (UDSS) for HPC centers
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.

Package: charliecloud-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends}
Description: user-defined software stacks (UDSS) for HPC centers (documentation)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides documentation files for CharlieCloud.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export LIBEXEC_DIR=lib/charliecloud
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make -C doc-src
	mv doc html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf VERSION.full bin/version.h bin/version.sh
	rm -rf html
	debconf-updatepo

override_dh_auto_install:
	dh_auto_install
	dh_installdebconf
	# Do not put architecture dependent binaries in
	# architecture independent charliecloud-doc package
	rm debian/tmp/usr/lib/charliecloud/examples/syscalls/pivot_root
	rm debian/tmp/usr/lib/charliecloud/examples/syscalls/userns
	# Patch out bundled jquery.js
	rm html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js html/_static/jquery.js
	# Patch out bundled underscore.js
	rm html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js html/_static/underscore.js
	# Patch out usage of MathJax CDN
	find html/*.html -type f -print0 | xargs -0 sed -i 's#https://cdn.mathjax.org/mathjax/latest/#/usr/share/javascript/mathjax/#g'
	find html/*.html -type f -print0 | xargs -0 sed -i 's#https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/#/usr/share/javascript/mathjax/#g'

## charliecloud 0.16

=== debian/changelog ===
charliecloud (0.16-3) unstable; urgency=medium

  * d/control: Make builder's docker.io dependence arch-dependent
  * Make sure Docker builder is only tested on archs where Docker is available
  * builders: Suppress Lintian tag package-contains-no-arch-dependent-files
  * Remove suppression of Lintian warning due to embedded language_data.js
  * d/rules: Patch out bundled language_data.js

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 05 Aug 2020 17:01:10 +0200

charliecloud (0.16-2) unstable; urgency=medium

  * d/rules: Add a comment why dh_sphinxdoc is not used
  * d/{rules,control}: Patch out bundled doctools.js and searchtools.js,
    update charliecloud-doc dependencies accordingly
  * Suppress Lintian warning because of embedded language_data.js

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 26 Jul 2020 20:48:34 +0200

charliecloud (0.16-1) unstable; urgency=medium

  * New upstream version 0.16 (closes: #958327)
  * d/patches: Remove outdated patch use-python3
  * Switch to upstream's autotools based build system
  * d/control: Update dependencies and suggestions
  * d/control: Bump Standards-Version to 4.5.0 (no changes required)
  * d/s/lintian-overrides: Suppress debian-watch-does-not-check-gpg-signature
  * d/control: Add 'Rules-Requires-Root: no'
  * Add d/upstream/metadata
  * Update d/copyright:
    - Update copyright years
    - Update upstream's copyright clauses
    - Add copyright for misc/m4/*.m4 files
  * Split up package structure into the following packages:
    - charliecloud
    - charliecloud-common
    - charliecloud-runtime
    - charliecloud-builders
    - charliecloud-tests
    - charliecloud-doc
  * Suppress lintian warning shared-library-lacks-prerequisites
  * d/control: Bump debhelper-compat level to 13
  * d/patches: Add adjust-test-suite-path.patch
  * Move debconf related parts from charliecloud to charliecloud-common package
  * d/charliecloud-common.prerm: Remove /usr/lib/charliecloud/__pycache__
  * d/tests: Add tests using Docker based builder

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 05 Jul 2020 18:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,23 @@
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <fossdev@posteo.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                po-debconf,
-               python3,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               rsync
-Standards-Version: 4.4.0
+               autoconf-archive,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
 
 Package: charliecloud
-Architecture: linux-any
+Section: metapackages
+Architecture: all
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: charliecloud-doc,
-          docker.io,
-          pv
-Description: user-defined software stacks (UDSS) for HPC centers
+         charliecloud-builders (>= 0.16-1),
+         charliecloud-runtime (>= 0.16-1)
+Description: user-defined software stacks (UDSS) for HPC centers (metapackage)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
  stack" functionality addresses needs such as: software dependencies that are
@@ -34,14 +32,119 @@
  center; consistent environments, even archivally so, that can be easily,
  reliabily, and verifiably reproduced in the future; and/or usability and
  comprehensibility.
+ .
+ This package provides runtime and builder packages for Charliecloud.
+
+Package: charliecloud-common
+Architecture: all
+Depends: ${misc:Depends},
+Replaces: charliecloud (<< 0.16-1)
+Breaks: charliecloud (<< 0.16-1)
+Description: user-defined software stacks (UDSS) for HPC centers (common files)
+ Charliecloud provides user-defined software stacks (UDSS) (aka containers)
+ for high-performance computing (HPC) centers. This "bring your own software
+ stack" functionality addresses needs such as: software dependencies that are
+ numerous, complex, unusual, differently configured, or simply newer/older
+ than what the center provides; build-time requirements unavailable within
+ the center, such as relatively unfettered internet access; validated
+ software stacks and configuration to meet the standards of a particular
+ field of inquiry; portability of environments between resources, including
+ workstations and other test and development system not managed by the
+ center; consistent environments, even archivally so, that can be easily,
+ reliabily, and verifiably reproduced in the future; and/or usability and
+ comprehensibility.
+ .
+ This package provides common files for Charliecloud.
+
+Package: charliecloud-builders
+Architecture: linux-any
+Depends: ${misc:Depends},
+         buildah,
+         charliecloud-common,
+         docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
+         python3,
+         python3-lark,
+         squashfs-tools
+Suggests: charliecloud-doc,
+          charliecloud-runtime,
+          pv
+Replaces: charliecloud (<< 0.16-1)
+Breaks: charliecloud (<< 0.16-1)
+Description: user-defined software stacks (UDSS) for HPC centers (builders)
+ Charliecloud provides user-defined software stacks (UDSS) (aka containers)
+ for high-performance computing (HPC) centers. This "bring your own software
+ stack" functionality addresses needs such as: software dependencies that are
+ numerous, complex, unusual, differently configured, or simply newer/older
+ than what the center provides; build-time requirements unavailable within
+ the center, such as relatively unfettered internet access; validated
+ software stacks and configuration to meet the standards of a particular
+ field of inquiry; portability of environments between resources, including
+ workstations and other test and development system not managed by the
+ center; consistent environments, even archivally so, that can be easily,
+ reliabily, and verifiably reproduced in the future; and/or usability and
+ comprehensibility.
+ .
+ This package provides image builders for Charliecloud.
+
+Package: charliecloud-runtime
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         charliecloud-common,
+         python3,
+         squashfuse
+Suggests: charliecloud-doc,
+          charliecloud-builders
+Replaces: charliecloud (<< 0.16-1)
+Breaks: charliecloud (<< 0.16-1)
+Description: user-defined software stacks (UDSS) for HPC centers (runtime tools)
+ Charliecloud provides user-defined software stacks (UDSS) (aka containers)
+ for high-performance computing (HPC) centers. This "bring your own software
+ stack" functionality addresses needs such as: software dependencies that are
+ numerous, complex, unusual, differently configured, or simply newer/older
+ than what the center provides; build-time requirements unavailable within
+ the center, such as relatively unfettered internet access; validated
+ software stacks and configuration to meet the standards of a particular
+ field of inquiry; portability of environments between resources, including
+ workstations and other test and development system not managed by the
+ center; consistent environments, even archivally so, that can be easily,
+ reliabily, and verifiably reproduced in the future; and/or usability and
+ comprehensibility.
+ .
+ This package provides tools to run containers for Charliecloud.
+
+Package: charliecloud-tests
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         charliecloud-builders,
+         charliecloud-runtime,
+         python3,
+         wget,
+         bats
+Suggests: charliecloud-doc,
+Description: user-defined software stacks (UDSS) for HPC centers (test suite)
+ Charliecloud provides user-defined software stacks (UDSS) (aka containers)
+ for high-performance computing (HPC) centers. This "bring your own software
+ stack" functionality addresses needs such as: software dependencies that are
+ numerous, complex, unusual, differently configured, or simply newer/older
+ than what the center provides; build-time requirements unavailable within
+ the center, such as relatively unfettered internet access; validated
+ software stacks and configuration to meet the standards of a particular
+ field of inquiry; portability of environments between resources, including
+ workstations and other test and development system not managed by the
+ center; consistent environments, even archivally so, that can be easily,
+ reliabily, and verifiably reproduced in the future; and/or usability and
+ comprehensibility.
+ .
+ This package provides a test suite for Charliecloud.
 
 Package: charliecloud-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-jquery,
-         libjs-mathjax,
-         libjs-underscore,
+Depends: libjs-sphinxdoc,
+         sphinx-rtd-theme-common,
          ${misc:Depends}
 Description: user-defined software stacks (UDSS) for HPC centers (documentation)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
@@ -57,4 +160,4 @@
  reliabily, and verifiably reproduced in the future; and/or usability and
  comprehensibility.
  .
- This package provides documentation files for CharlieCloud.
+ This package provides documentation files for Charliecloud.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	debconf-updatepo

override_dh_auto_configure:
	# Install test suite into /usr/libexec/installed-tests
	# (see https://lists.debian.org/debian-devel/2020/06/msg00224.html)
	dh_auto_configure -- --libdir=/usr/lib --libexecdir=/usr/libexec/installed-tests

override_dh_makeshlibs:
	# exclude toy library from being processed
	dh_makeshlibs -Xlibsotest

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/libexec/installed-tests/charliecloud/sotest

override_dh_auto_install:
	dh_auto_install
	dh_installdebconf
	# Remove charliecloud man page (man page not associated with any executable)
	rm debian/tmp/usr/share/man/man1/charliecloud.1
	# We cannot use dh_sphinxdoc since both the looks_like_sphinx_doc and
	# the looks_like_sphinx_singlehtml_doc checks fail. For details see
	# https://salsa.debian.org/python-team/modules/sphinx/-/blob/debian/3.1.2-1/debian/dh-sphinxdoc/dh_sphinxdoc#L192-223
	# Thus we need to patch out bundled Javascript code ourselves.
	# Patch out bundled jquery.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
	# Patch out bundled underscore.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/underscore.js
	ln -s /usr/share/javascript/underscore/underscore.js debian/tmp/usr/share/doc/charliecloud/html/_static/underscore.js
	# Patch out bundled doctools.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
	# Patch out bundled searchtools.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/searchtools.js debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
	# Patch out bundled language_data.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/language_data.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js debian/tmp/usr/share/doc/charliecloud/html/_static/language_data.js
	# Patch out bundled fonts directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/fonts
	ln -s /usr/share/sphinx_rtd_theme/static/fonts debian/tmp/usr/share/doc/charliecloud/html/_static/fonts
	# Patch out bundled css directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/css
	ln -s /usr/share/sphinx_rtd_theme/static/css debian/tmp/usr/share/doc/charliecloud/html/_static/css
	# Patch out bundled js directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/js
	ln -s /usr/share/sphinx_rtd_theme/static/js debian/tmp/usr/share/doc/charliecloud/html/_static/js

## charliecloud 0.18

=== debian/changelog ===
charliecloud (0.18-1) unstable; urgency=medium

  * New upstream version 0.18
  * New suggested package for charliecloud-tests: shellcheck
  * charliecloud-tests: Also install .dockerignore in test directory
  * charliecloud-builders: Add python3-requests to Depends
  * charliecloud-{common,builders}: Mark packages Multi-Arch: foreign

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 22 Aug 2020 20:37:35 +0200

## charliecloud 0.20

=== debian/changelog ===
charliecloud (0.20-1) unstable; urgency=medium

  * New upstream version 0.20
  * d/rules: Drop charliecloud man page removal
  * Add patch to move charliecloud man page to section 7
  * Add charliecloud man page to charliecloud-common package

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 25 Oct 2020 18:07:39 +0100

charliecloud (0.19-1) unstable; urgency=medium

  * New upstream version 0.19
  * charliecloud-builders: Remove ch-tug (now integrated in ch-grow)
  * Override Lintian tag package-contains-documentation-outside-usr-share-doc
    for files version.txt and files_inferrable.txt

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 26 Sep 2020 15:42:28 +0200

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
 
 Package: charliecloud-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Replaces: charliecloud (<< 0.16-1)
 Breaks: charliecloud (<< 0.16-1)
@@ -58,12 +59,14 @@
 
 Package: charliecloud-builders
 Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          buildah,
          charliecloud-common,
          docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
          python3,
          python3-lark,
+         python3-requests,
          squashfs-tools
 Suggests: charliecloud-doc,
           charliecloud-runtime,
@@ -123,6 +126,7 @@
          wget,
          bats
 Suggests: charliecloud-doc,
+          shellcheck
 Description: user-defined software stacks (UDSS) for HPC centers (test suite)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software

## charliecloud 0.21

=== debian/changelog ===
charliecloud (0.21-1) unstable; urgency=medium

  * New upstream version 0.21
  * Drop patch move-charliecloud-man-page-to-section7.patch (applied upstream)
  * d/charliecloud-builders.{install,manpages}: Add ch-image builder
  * Bump Standards-Version to 4.5.1 (no changes required)
  * Override Lintian's duplicate-files tag for various example files

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 20 Dec 2020 15:44:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                po-debconf,
                autoconf-archive,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_installdebconf
-	# Remove charliecloud man page (man page not associated with any executable)
-	rm debian/tmp/usr/share/man/man1/charliecloud.1
 	# We cannot use dh_sphinxdoc since both the looks_like_sphinx_doc and
 	# the looks_like_sphinx_singlehtml_doc checks fail. For details see
 	# https://salsa.debian.org/python-team/modules/sphinx/-/blob/debian/3.1.2-1/debian/dh-sphinxdoc/dh_sphinxdoc#L192-223

=== debian/tests/control ===
Tests: builder-docker
Depends: charliecloud-tests
Restrictions: needs-internet, needs-root, isolation-machine

## charliecloud 0.25

=== debian/changelog ===
charliecloud (0.25-1) unstable; urgency=medium

  * New upstream version 0.25
  * d/rules: Make dh_autoreconf use upstream's autogen.sh script
  * Add patch from upstream PR 1194 to fix autogen.sh failure
  * d/rules: Run configure with --disable-bundled-lark option
  * Remove installation of ch-grow and its man page (dropped upstream)
  * d/rules: Fix permissions of various test suite files
  * Add d/clean to make sure all build remnants are cleaned up
  * Bump Standards-Version to 4.6.0 (no changes required)
  * d/README.Debian: User namespaces are enabled by default since Bullseye
  * Update copyright years

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 20 Oct 2021 17:47:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                po-debconf,
                autoconf-archive,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,31 @@
 	dh_auto_clean
 	debconf-updatepo
 
+override_dh_autoreconf:
+	dh_autoreconf ./autogen.sh -- --no-lark
+
 override_dh_auto_configure:
 	# Install test suite into /usr/libexec/installed-tests
 	# (see https://lists.debian.org/debian-devel/2020/06/msg00224.html)
-	dh_auto_configure -- --libdir=/usr/lib --libexecdir=/usr/libexec/installed-tests
+	dh_auto_configure -- --libdir=/usr/lib --libexecdir=/usr/libexec/installed-tests --disable-bundled-lark
+
+override_dh_fixperms-arch:
+	dh_fixperms
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/.dockerignore
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/Dockerfile.*
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/build/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/common.bash
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/empty-file
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/make-auto.d/*.bats.in
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/registry-config.yml
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/run/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/lib/libsotest.so.1.0
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so.1.0
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so.1
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/files_inferrable.txt
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/*.c
 
 override_dh_makeshlibs:
 	# exclude toy library from being processed

## charliecloud 0.26

=== debian/changelog ===
charliecloud (0.26-1) unstable; urgency=medium

  * New upstream version 0.26
  * Drop patch pr1194 (merged upstream)
  * Update copyright information for file misc/m4/ax_pthread.m4
  * Remove obsolete commands ch-mount and ch-umount and their man pages
  * Add new command ch-convert and its man page to charliecloud-builders
  * Set permissions of README file in test fixtures directory to 0644
  * charliecloud-tests: Add lintian override for
    package-contains-documentation-outside-usr-share-doc
  * charliecloud-builders: Drop obsolete lintian override
    package-contains-no-arch-dependent-files
  * Update copyright years for Debian packaging
  * Add upstream patch to fix FTBFS issue on i386
  * Run 'wrap-and-sort -ask' on packaging files

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 30 Jan 2022 11:06:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <fossdev@posteo.de>
-Build-Depends: debhelper-compat (= 13),
-               po-debconf,
-               autoconf-archive,
-               python3-sphinx-rtd-theme
+Uploaders:
+ Lucas Nussbaum <lucas@debian.org>,
+ Peter Wienemann <fossdev@posteo.de>
+Build-Depends:
+ autoconf-archive,
+ debhelper-compat (= 13),
+ po-debconf,
+ python3-sphinx-rtd-theme
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
@@ -16,9 +19,10 @@
 Package: charliecloud
 Section: metapackages
 Architecture: all
-Depends: ${misc:Depends},
-         charliecloud-builders (>= 0.16-1),
-         charliecloud-runtime (>= 0.16-1)
+Depends:
+ charliecloud-builders (>= 0.16-1),
+ charliecloud-runtime (>= 0.16-1),
+ ${misc:Depends}
 Description: user-defined software stacks (UDSS) for HPC centers (metapackage)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -38,9 +42,12 @@
 Package: charliecloud-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-Replaces: charliecloud (<< 0.16-1)
-Breaks: charliecloud (<< 0.16-1)
+Depends:
+ ${misc:Depends}
+Replaces:
+ charliecloud (<< 0.16-1)
+Breaks:
+ charliecloud (<< 0.16-1)
 Description: user-defined software stacks (UDSS) for HPC centers (common files)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -60,19 +67,23 @@
 Package: charliecloud-builders
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         buildah,
-         charliecloud-common,
-         docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
-         python3,
-         python3-lark,
-         python3-requests,
-         squashfs-tools
-Suggests: charliecloud-doc,
-          charliecloud-runtime,
-          pv
-Replaces: charliecloud (<< 0.16-1)
-Breaks: charliecloud (<< 0.16-1)
+Depends:
+ buildah,
+ charliecloud-common,
+ docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
+ python3,
+ python3-lark,
+ python3-requests,
+ squashfs-tools,
+ ${misc:Depends}
+Suggests:
+ charliecloud-doc,
+ charliecloud-runtime,
+ pv
+Replaces:
+ charliecloud (<< 0.16-1)
+Breaks:
+ charliecloud (<< 0.16-1)
 Description: user-defined software stacks (UDSS) for HPC centers (builders)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -91,15 +102,19 @@
 
 Package: charliecloud-runtime
 Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         charliecloud-common,
-         python3,
-         squashfuse
-Suggests: charliecloud-doc,
-          charliecloud-builders
-Replaces: charliecloud (<< 0.16-1)
-Breaks: charliecloud (<< 0.16-1)
+Depends:
+ charliecloud-common,
+ python3,
+ squashfuse,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ charliecloud-builders,
+ charliecloud-doc
+Replaces:
+ charliecloud (<< 0.16-1)
+Breaks:
+ charliecloud (<< 0.16-1)
 Description: user-defined software stacks (UDSS) for HPC centers (runtime tools)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -118,15 +133,17 @@
 
 Package: charliecloud-tests
 Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         charliecloud-builders,
-         charliecloud-runtime,
-         python3,
-         wget,
-         bats
-Suggests: charliecloud-doc,
-          shellcheck
+Depends:
+ bats,
+ charliecloud-builders,
+ charliecloud-runtime,
+ python3,
+ wget,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ charliecloud-doc,
+ shellcheck
 Description: user-defined software stacks (UDSS) for HPC centers (test suite)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -147,9 +164,10 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-sphinxdoc,
-         sphinx-rtd-theme-common,
-         ${misc:Depends}
+Depends:
+ libjs-sphinxdoc,
+ sphinx-rtd-theme-common,
+ ${misc:Depends}
 Description: user-defined software stacks (UDSS) for HPC centers (documentation)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/build/*.bats
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/common.bash
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/*.bats
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/README
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/empty-file
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/make-auto.d/*.bats.in
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/registry-config.yml

=== debian/tests/control ===
Tests: builder-docker
Depends:
 charliecloud-tests
Restrictions: needs-internet, needs-root, isolation-machine

## charliecloud 0.27

=== debian/changelog ===
charliecloud (0.27-1) unstable; urgency=medium

  * New upstream version 0.27
  * Remove deprecated commands and their man pages
  * Remove patch pr1275 (integrated upstream)
  * Add patch to remove misc/m4 as local Autoconf macro directory
  * Add pigz as suggested dependency of charliecloud-builders
  * Update copyright information of upstream code
  * Make charliecloud-doc an absolute dependency of charliecloud-tests
  * Add sudo as suggested dependency of charliecloud-tests
  * Add sudo as dependency of builder-docker unit test

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 15 May 2022 17:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -79,6 +79,7 @@
 Suggests:
  charliecloud-doc,
  charliecloud-runtime,
+ pigz,
  pv
 Replaces:
  charliecloud (<< 0.16-1)
@@ -136,14 +137,15 @@
 Depends:
  bats,
  charliecloud-builders,
+ charliecloud-doc,
  charliecloud-runtime,
  python3,
  wget,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- charliecloud-doc,
- shellcheck
+ shellcheck,
+ sudo
 Description: user-defined software stacks (UDSS) for HPC centers (test suite)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software

## charliecloud 0.29

=== debian/changelog ===
charliecloud (0.29-1) unstable; urgency=medium

  * New upstream version 0.29
  * Update Lintian override due to tag renaming: Use new name
    debian-watch-does-not-check-openpgp-signature

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 03 Sep 2022 20:35:21 +0200

charliecloud (0.28-1) unstable; urgency=medium

  * New upstream version 0.28
  * d/rules: Fix permissions of build cache related Dockerfiles
  * Fix Lintian overrides to get rid of mismatched-override warnings
  * Bump Standards-Version to 4.6.1 (no changes required)
  * Add git as recommended dependency of charliecloud-builders

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 27 Aug 2022 11:18:38 +0200

## charliecloud 0.30

=== debian/changelog ===
charliecloud (0.30-1) unstable; urgency=medium

  * New upstream version 0.30

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 20 Nov 2022 19:34:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
@@ -76,6 +76,8 @@
  python3-requests,
  squashfs-tools,
  ${misc:Depends}
+Recommends:
+ git
 Suggests:
  charliecloud-doc,
  charliecloud-runtime,

## charliecloud 0.31

=== debian/changelog ===
charliecloud (0.31-1) unstable; urgency=medium

  * New upstream version 0.31
  * Add patch from upstream PR 1550
  * Add libfuse3-dev and libsquashfuse-dev to build dependencies
  * Bump Standards-Version to 4.6.2 (no changes required)
  * Update copyright years of upstream code
  * Update copyright years for Debian packaging

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 29 Jan 2023 13:36:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
 Build-Depends:
  autoconf-archive,
  debhelper-compat (= 13),
+ libfuse3-dev,
+ libsquashfuse-dev,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/files_inferrable.txt
 	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/*.c
+	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/bucache/*.df
 
 override_dh_makeshlibs:
 	# exclude toy library from being processed

=== debian/tests/control ===
Tests: builder-docker
Depends:
 charliecloud-tests,
 sudo
Restrictions: needs-internet, needs-root, isolation-machine

## charliecloud 0.33

=== debian/changelog ===
charliecloud (0.33-1) unstable; urgency=medium

  [ Peter Wienemann ]
  * New upstream version 0.33
  * Drop patch pr1550 (fixed upstream)
  * Remove ch-ssh and its man page (removed upstream)
  * Set permission of libsotest-fi.so and approved-trailing-whitespace
    to 0644
  * Add bash tab completion for commands ch-run and ch-image

  [ Peter Kvillegård ]
  * Add Swedish translation of debconf template (closes: #1041671)

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 30 Jul 2023 11:50:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Peter Wienemann <fossdev@posteo.de>
 Build-Depends:
  autoconf-archive,
+ bash-completion,
  debhelper-compat (= 13),
  libfuse3-dev,
  libsquashfuse-dev,

## charliecloud 0.34

=== debian/changelog ===
charliecloud (0.34-1) unstable; urgency=medium

  * New upstream version 0.34
  * Update upstream copyright notice

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 24 Sep 2023 17:52:25 +0200
